Package org.eclipse.spi.net4j

## Interface InternalChannelMultiplexer.BufferMultiplexer

- Enclosing interface:
    InternalChannelMultiplexer

      public static interface InternalChannelMultiplexer.BufferMultiplexer

  Since:
    4.10
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `multiplexBuffer​(InternalChannel channel, IBuffer buffer)` | Called by a `channel` each time a new `buffer` is available for multiplexing.

- - ### Method Detail

    - #### multiplexBuffer

          void multiplexBuffer​(InternalChannel channel,
                               IBuffer buffer)

      Called by a `channel` each time a new `buffer` is available for multiplexing.